// TTelemetryTagDlg.h : header file
//

#pragma once

#include "Resource.h"
#include "Engine/Module.h"

/////////////////////////////////////////////////////////////////////////////
// TTelemetryTagDlg dialog
// 
class TTelemetryTagDlg : public TDialog
{
   ////////////////////////////////
   // Interface
   ////////////////////////////////
   public:

   TTelemetryTagDlg(CWnd* pParent = NULL);   // standard constructor

   // Dialog Data
   enum { IDD = IDD_TELEMETRYTAG };
   CString m_strInterval;
   CString m_strLabel;
   int m_iNumVals;
   int m_iSequence;
   CString m_strTime;
   bool m_bInterleaved;
   int m_eTxContent;
   int m_iRightDigits;
   TModule* m_pTag;

   ////////////////////////////////
   // Implementation
   ////////////////////////////////
   protected:

   virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
   virtual BOOL OnInitDialog();
   virtual void OnOK();
   void EnableControls(int eTxContent);
   afx_msg void OnBtnChangeLabel();
   afx_msg void OnBtnChangeTime();
   afx_msg void OnBtnChangeInterval();
   afx_msg void OnBtnChangeNumValues();
   afx_msg void OnBtnChangeSequence();
   afx_msg void OnCbnSelchangeCbTxcontent();
   afx_msg void OnBnClickedBtnChangeRightDigits();

   DECLARE_MESSAGE_MAP()
};
